Cambrionix connect
Developers
Settings API

Queries

View and manage Organization Queries.

List Organization Queries

GET

/settings/v1/queries

List all Organization Queries

Requires a bearer access token for this API with the Organization.Settings.SavedQueries.Read permission. See Authentication.

Parameters

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultOrganizationQuery[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/settings/v1/queries" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get a Organization Query

GET

/settings/v1/queries/{queryId}

Get a Organization Query by Id

Requires a bearer access token for this API with the Organization.Settings.SavedQueries.Read permission. See Authentication.

Parameters

queryIdstringpathrequired

Path parameter

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/settings/v1/queries/{queryId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Update a Organization Query

PATCH

/settings/v1/queries/{queryId}

Update a Organization Query by Id

Requires a bearer access token for this API with the Organization.Settings.SavedQueries.Write permission. See Authentication.

Parameters

queryIdstringpathrequired

Path parameter

Request body

object
dataobject
endpointstring
namestring

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/settings/v1/queries/{queryId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "data": {
    "query": "string"
  },
  "endpoint": "string",
  "name": "string"
}'

Delete a Organization Query

DELETE

/settings/v1/queries/{queryId}

Delete a Organization Query by Id

Requires a bearer access token for this API with the Organization.Settings.SavedQueries.Delete permission. See Authentication.

Parameters

queryIdstringpathrequired

Path parameter

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/settings/v1/queries/{queryId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Create a Organization Query

POST

/settings/v1/query

Create a new organization query.

Requires a bearer access token for this API with the Organization.Settings.SavedQueries.Write permission. See Authentication.

Request body

object
dataobjectrequired
endpointstringrequired
namestringrequired

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired
messagestringrequired
detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/settings/v1/query" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "data": {
    "query": "string"
  },
  "endpoint": "string",
  "name": "string"
}'